ConflictHandler::ConflictingTransportAddress Struct Reference

`#include <iqueue.h>`

Collaboration diagram for ConflictHandler::ConflictingTransportAddress:
[legend]

## Public Member Functions

| ConflictingTransportAddress (InetAddress na, tpport_t dtp, tpport_t ctp)
void | setNext (ConflictingTransportAddress *nc)
const InetAddress & | getNetworkAddress () const
tpport_t | getDataTransportPort () const
tpport_t | getControlTransportPort () const

## Public Attributes

InetAddress | networkAddress
tpport_t | dataTransportPort
tpport_t | controlTransportPort
ConflictingTransportAddress * | next
timeval | lastPacketTime

## Constructor & Destructor Documentation

## ConflictingTransportAddress()

ConflictHandler::ConflictingTransportAddress::ConflictingTransportAddress | ( | InetAddress | na,
|  | tpport_t | dtp,
|  | tpport_t | ctp
| ) |  |

## Member Function Documentation

## getControlTransportPort()

tpport_t ConflictHandler::ConflictingTransportAddress::getControlTransportPort | ( |  | ) | const

inline

## getDataTransportPort()

tpport_t ConflictHandler::ConflictingTransportAddress::getDataTransportPort | ( |  | ) | const

inline

## getNetworkAddress()

const InetAddress& ConflictHandler::ConflictingTransportAddress::getNetworkAddress | ( |  | ) | const

inline

## setNext()

void ConflictHandler::ConflictingTransportAddress::setNext | ( | ConflictingTransportAddress * | nc | ) |

inline

## Member Data Documentation

## controlTransportPort

tpport_t ConflictHandler::ConflictingTransportAddress::controlTransportPort

## dataTransportPort

tpport_t ConflictHandler::ConflictingTransportAddress::dataTransportPort

## lastPacketTime

timeval ConflictHandler::ConflictingTransportAddress::lastPacketTime

## networkAddress

InetAddress ConflictHandler::ConflictingTransportAddress::networkAddress

## next

ConflictingTransportAddress* ConflictHandler::ConflictingTransportAddress::next

The documentation for this struct was generated from the following file:

- iqueue.h